## ros-noetic-mrpt-rbpf-slam 0.1.11

=== debian/changelog ===
ros-noetic-mrpt-rbpf-slam (0.1.11-1buster) buster; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Coarser grid resolution
  * fix build with mrpt2
  * Fixed all 2D and 3D EKF wrappers to work with mrpt 2.x API
  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #62 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/62> from mx-robotics/master
    Flag added to switch between a static and moving sensor
  * Flag added to switch between a static and moving sensor
  * Contributors: Jose Luis Blanco-Claraco, Markus Bader

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.10-1buster) buster; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.9-1buster) buster; urgency=high

  * fix build against mrpt-1.5 & 1.9.9
  * Feature/refactor mrpt rbpf slam
  * Add option to specify simplemap save path
  * Add some non zero default noise values for thrun's motion model
  * Small documentation fixes
  * Rename example file
  * Switch header guards to pragma once
  * Add launch file for turtlebot3
  * Switch default log level to INFO
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.8-1buster) buster; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.7-1buster) buster; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.6-1buster) buster; urgency=high

  * Merge pull request #42 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/42> from MaxGsomGsom/master
    Fixed build with MRPT 1.5
  * Fixed compilation with MRPT 1.5
  * Merge pull request #41 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/41> from MaxGsomGsom/master
    Fixed build with mrpt 2.0
  * Fixed build with mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * fix build against mrpt 1.5 series
  * Fixed wrong timeout for waitForTransform.
  * Fixed wrong timeout for waitForTransform.
  * use consistent cmake conventions for c++14
  * all but mrpt_graphslam_2d compiling against mrpt2.0
  * porting to mrpt2
  * fix #28 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/28>, compiling all nodes using -std=c++14
  * CMake finds MRPT >=1.5 in branch master
  * Merge pull request #22 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/22> from bergercookie/graphslam-devel
    Add support for 2D multi-robot SLAM
  * mrpt_rbpf:Correct include guard
  * fix build with MRPT 1.5.0
  * Merge pull request #20 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/20> from Logrus/master
    Fixes and cleanups for config files
  * [mrpt_rbpf_slam] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Fix build against latest dev mrpt 1.5.0
  * Contributors: Albert Kasdorf, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Nikos Koukis, Vladislav Tananaev

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.5-1buster) buster; urgency=high

  * Include ros/console hdr
  * Fix cmakelists typo
  * Contributors: Nikos Koukis

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.3-1buster) buster; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.2-1buster) buster; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * Fix missing CObservationBeaconRanges.h include in mrpt_rbpf_slam.
  * Fix description of the rbpf package.
  * Output logs only in ROS.
  * Add a guard for new mrpt::ros1bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt::ros1bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Update example config files with new localizeLinDistance and localizeAngDistance_deg.
  * Fix build against MRPT<1.3.0
  * Contributors: Jose Luis Blanco, Logrus, Vladislav Tananaev

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.1-1buster) buster; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Logrus

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000

## ros-noetic-mrpt-rbpf-slam 0.1.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_rbpf_slam)

#find catkin packages
find_package(catkin REQUIRED COMPONENTS
  roslib
  roscpp
  tf2
  tf2_ros
  tf2_geometry_msgs
  std_msgs
  nav_msgs
  sensor_msgs
  visualization_msgs
  dynamic_reconfigure
  roslaunch
  mrpt_msgs_bridge
)

#find mrpt packages
find_package(mrpt-gui REQUIRED)
find_package(mrpt-slam REQUIRED)
find_package(mrpt-ros1bridge REQUIRED)

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

catkin_package(
	CATKIN_DEPENDS
  nav_msgs
  sensor_msgs
  std_msgs
  visualization_msgs
  tf2
  tf2_ros
  tf2_geometry_msgs
  mrpt_msgs_bridge
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)



add_executable(mrpt_rbpf_slam
    src/mrpt_rbpf_slam.cpp
    src/mrpt_rbpf_slam_wrapper.cpp
    src/mrpt_rbpf_slam_node.cpp
    src/options.cpp
)

TARGET_LINK_LIBRARIES(mrpt_rbpf_slam
  mrpt::slam
  mrpt::gui
  mrpt::ros1bridge
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS mrpt_rbpf_slam
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  config
  launch
  tutorial
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
# Add testing for *.launch files
roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-noetic-mrpt-rbpf-slam (0.1.15-1focal) focal; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.14-1focal) focal; urgency=high

  * Fix build against last mrpt 2.7.x
  * fix mvsim param: should not publish fake loc
  * fixes for the new mvsim-based demo
  * Contributors: Jose Luis Blanco-Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Tue, 11 Apr 2023 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.11-1focal) focal; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Coarser grid resolution
  * fix build with mrpt2
  * Fixed all 2D and 3D EKF wrappers to work with mrpt 2.x API
  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #62 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/62> from mx-robotics/master
    Flag added to switch between a static and moving sensor
  * Flag added to switch between a static and moving sensor
  * Contributors: Jose Luis Blanco-Claraco, Markus Bader

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.10-1focal) focal; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.9-1focal) focal; urgency=high

  * fix build against mrpt-1.5 & 1.9.9
  * Feature/refactor mrpt rbpf slam
  * Add option to specify simplemap save path
  * Add some non zero default noise values for thrun's motion model
  * Small documentation fixes
  * Rename example file
  * Switch header guards to pragma once
  * Add launch file for turtlebot3
  * Switch default log level to INFO
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sat, 13 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.8-1focal) focal; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 20 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.7-1focal) focal; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.6-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/42> from MaxGsomGsom/master
    Fixed build with MRPT 1.5
  * Fixed compilation with MRPT 1.5
  * Merge pull request #41 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/41> from MaxGsomGsom/master
    Fixed build with mrpt 2.0
  * Fixed build with mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * fix build against mrpt 1.5 series
  * Fixed wrong timeout for waitForTransform.
  * Fixed wrong timeout for waitForTransform.
  * use consistent cmake conventions for c++14
  * all but mrpt_graphslam_2d compiling against mrpt2.0
  * porting to mrpt2
  * fix #28 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/28>, compiling all nodes using -std=c++14
  * CMake finds MRPT >=1.5 in branch master
  * Merge pull request #22 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/22> from bergercookie/graphslam-devel
    Add support for 2D multi-robot SLAM
  * mrpt_rbpf:Correct include guard
  * fix build with MRPT 1.5.0
  * Merge pull request #20 <https://github.com/mrpt-ros-pkg/mrpt_slam/issues/20> from Logrus/master
    Fixes and cleanups for config files
  * [mrpt_rbpf_slam] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Fix build against latest dev mrpt 1.5.0
  * Contributors: Albert Kasdorf, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Nikos Koukis, Vladislav Tananaev

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.5-1focal) focal; urgency=high

  * Include ros/console hdr
  * Fix cmakelists typo
  * Contributors: Nikos Koukis

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Thu, 17 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.3-1focal) focal; urgency=high



 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Mon, 26 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.2-1focal) focal; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * Fix missing CObservationBeaconRanges.h include in mrpt_rbpf_slam.
  * Fix description of the rbpf package.
  * Output logs only in ROS.
  * Add a guard for new mrpt::ros1bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt::ros1bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Update example config files with new localizeLinDistance and localizeAngDistance_deg.
  * Fix build against MRPT<1.3.0
  * Contributors: Jose Luis Blanco, Logrus, Vladislav Tananaev

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-rbpf-slam (0.1.1-1focal) focal; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Contributors: Jose Luis Blanco, Logrus

 -- Vladislav Tananaev <v.d.tananaev@gmail.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-mrpt-rbpf-slam
Section: misc
Priority: optional
Maintainer: Vladislav Tananaev <v.d.tananaev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-mrpt-msgs-bridge, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslib, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: http://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-rbpf-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-mrpt-msgs-bridge, ros-noetic-mrpt-rawlog, ros-noetic-mrpt2, ros-noetic-mvsim, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslib, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: This package is used for gridmap SLAM.
 The interface is similar to gmapping (https://wiki.ros.org/gmapping) but the package supports different particle-filter algorithms, range-only SLAM, can work with several grid maps simultaneously and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt-rbpf-slam//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
